QXmpp: QXmppMixInfoItem Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppMixInfoItem Class Reference
Stanzas

The QXmppMixInfoItem class represents a PubSub item of a MIX channel containing channel information as defined by XEP-0369: Mediated Information eXchange (MIX). More...

Inheritance diagram for QXmppMixInfoItem:

## Public Member Functions
| QXmppMixInfoItem (const QXmppMixInfoItem &)
| Default copy-constructor.
| QXmppMixInfoItem (QXmppMixInfoItem &&)
| Default move-constructor.
QXmppMixInfoItem & | operator= (const QXmppMixInfoItem &)
| Default assignment operator.
QXmppMixInfoItem & | operator= (QXmppMixInfoItem &&)
| Default move-assignment operator.
QXmppDataForm::Type | formType () const
void | setFormType (QXmppDataForm::Type formType)
const QString & | name () const
void | setName (QString)
const QString & | description () const
void | setDescription (QString)
const QStringList & | contactJids () const
void | setContactJids (QStringList)
Public Member Functions inherited from QXmppPubSubBaseItem
| QXmppPubSubBaseItem (const QString &id={}, const QString &publisher={})
| QXmppPubSubBaseItem (const QXmppPubSubBaseItem &) noexcept
| Default copy-constructor.
| QXmppPubSubBaseItem (QXmppPubSubBaseItem &&) noexcept
| Default move-constructor.
QXmppPubSubBaseItem & | operator= (const QXmppPubSubBaseItem &) noexcept
| Default assignment operator.
QXmppPubSubBaseItem & | operator= (QXmppPubSubBaseItem &&) noexcept
| Default move-assignment operator.
QString | id () const
void | setId (const QString &id)
QString | publisher () const
void | setPublisher (const QString &publisher)

## Static Public Member Functions
static bool | isItem (const QDomElement &itemElement)
Static Public Member Functions inherited from QXmppPubSubBaseItem
static bool | isItem (const QDomElement &element)

## Additional Inherited Members
Protected Member Functions inherited from QXmppPubSubBaseItem
virtual void | parsePayload (const QDomElement &payloadElement)
virtual void | serializePayload (QXmlStreamWriter *writer) const
Static Protected Member Functions inherited from QXmppPubSubBaseItem
template<typename PayloadChecker>
static bool | isItem (const QDomElement &element, PayloadChecker isPayloadValid)

## Detailed Description

The QXmppMixInfoItem class represents a PubSub item of a MIX channel containing channel information as defined by XEP-0369: Mediated Information eXchange (MIX).

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ contactJids()

const QStringList & QXmppMixInfoItem::contactJids | ( |  | ) | const

Returns a list of JIDs that are responsible for this channel.

## ◆ description()

const QString & QXmppMixInfoItem::description | ( |  | ) | const

Returns the description of the channel. This string might be very long.

## ◆ formType()

QXmppDataForm::Type QXmppMixInfoItem::formType | ( |  | ) | const

Returns the type of the data form that contains the channel information.

Returns
  the data form's type

## ◆ isItem()

bool QXmppMixInfoItem::isItem | ( | const QDomElement & | element | ) |
| static

Returns true, if the given dom element is a MIX channel info item.

## ◆ name()

const QString & QXmppMixInfoItem::name | ( |  | ) | const

Returns the user-specified name of the MIX channel. This is not the name part of the channel's JID.

## ◆ setContactJids()

void QXmppMixInfoItem::setContactJids | ( | QStringList | contactJids | ) |

Sets a list of public JIDs that are responsible for this channel.

## ◆ setDescription()

void QXmppMixInfoItem::setDescription | ( | QString | description | ) |

Sets the longer channel description.

## ◆ setFormType()

void QXmppMixInfoItem::setFormType | ( | QXmppDataForm::Type | formType | ) |

Sets the type of the data form that contains the channel information.

Parameters

  formType | data form's type

## ◆ setName()

void QXmppMixInfoItem::setName | ( | QString | name | ) |

Sets the name of the channel.

The documentation for this class was generated from the following files:

- QXmppMixInfoItem.h
- QXmppMixItems.cpp